# drone-abra

[![Build Status](https://drone.autonomic.zone/api/badges/coop-cloud/drone-abra/status.svg?ref=refs/heads/main)](https://drone.autonomic.zone/coop-cloud/drone-abra)

Use [`abra`](https://git.autonomic.zone/coop-cloud/abra) as a [Drone plugin](http://plugins.drone.io/)!

## Settings

### Required (no default)

- **command**: The command to run (passed to `abra` executable)

## Example

```yaml
---
kind: pipeline
name: recipe release
steps:
  - name: release a new version
    image: thecoopcloud/drone-abra:latest
    settings:
      command: catalogue generate
```

## Publishing

The version can be bumped in the [.drone.yml](./.drone.yml) file. We're sticking with `latest` as we iterate on the code right now.

If you push a commit to main, the [Drone config](./.drone.yml) will publish to [Docker Hub](https://hub.docker.com/r/thecoopcloud/drone-abra).
